Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RegionMemoryLimitBytes Property
DatabaseEnvironment Class See Also Send Feedback

The bytes component of the byte-count limit on the amount of memory to be used by shared structures in the main environment region. These are the structures other than mutexes and the page cache (memory pool).

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public uint RegionMemoryLimitBytes { get; }

Visual Basic (Declaration)
    Public ReadOnly Property RegionMemoryLimitBytes As UInteger

Visual C++
    public:
    property unsigned int RegionMemoryLimitBytes {
    	unsigned int get ();
    }

#### Return Value

The maximum number of bytes used by the main region.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace